aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-py/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2014-08-21 20:37:21 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2014-08-23 10:29:06 +0000
commit9d500de059147026b1489a859e3e11396a8a8281 (patch)
treec1f3c00e9e26008b77f8b0d82c394b408010368a /testing/py-py/APKBUILD
parent22de3b24b6fd4492b06aa82c69109f05dec2340f (diff)
downloadaports-9d500de059147026b1489a859e3e11396a8a8281.tar.gz
aports-9d500de059147026b1489a859e3e11396a8a8281.tar.bz2
aports-9d500de059147026b1489a859e3e11396a8a8281.tar.xz
testing/py-py: new aport
A python library with cross-python path, ini-parsing, io, code, log facilities https://bitbucket.org/hpk42/py/overview
Diffstat (limited to 'testing/py-py/APKBUILD')
-rw-r--r--testing/py-py/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-py/APKBUILD b/testing/py-py/APKBUILD
new file mode 100644
index 0000000000..15bb7c7e70
--- /dev/null
+++ b/testing/py-py/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-py
+_pkgname=py
+pkgver=1.4.23
+pkgrel=0
+pkgdesc="A Python library with cross-python path, ini-parsing, io, code, log facilities"
+url="http://pylib.readthedocs.org/en/latest/"
+arch="noarch"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="b40aea711eeb8adba0c44f0b750a3205 py-1.4.23.tar.gz"
+sha256sums="ba8f2a3894caf1121799a2b239d67873a56bd0dfa24e1673d92990a8ae7370ca py-1.4.23.tar.gz"
+sha512sums="1a38edb1855094a76362eff2afd370eca9ac796ee75a101bd4c3d566a8c75064a790f2032b4ea958f16836e22bea83a53ee9adbb7ca200b0ecb64677fec08515 py-1.4.23.tar.gz"